*$ CREATE STROCK.FOR
*COPY STROCK
*
*=== STROCK ===========================================================*
*
      DOUBLE PRECISION FUNCTION STROCK(ACCAGS)
C------------------------------------
C   CONVERTS  ROCK DEPTH
C------------------------------------
      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
C
C-- Conversion from m to hg/cm**2
C
      ACCAGS = ACCAGS*2.71D+00
C
C-- Conversion from hg/cm**2 of GS rock to hg/cm**2 of standard rock
C
      STROCK = - 2.401242 + 1.000288  * ACCAGS + 3.214220D-06 * ACCAGS*
     &  ACCAGS - 8.768335D-11 * (ACCAGS*ACCAGS*ACCAGS)
      RETURN
      END

